Summary:       The NetBSD make(1) tool
Name:          bmake
Version:       20161212
Release:       %mkrel 1
License:       BSD with advertising
Group:         Development/Tools
URL:           ftp://ftp.NetBSD.org/pub/NetBSD/misc/sjg/
Source0:       ftp://ftp.NetBSD.org/pub/NetBSD/misc/sjg/bmake-%{version}.tar.gz
Requires:      pmake
BuildRequires: pmake
BuildRequires: util-linux

%description
bmake, the NetBSD make tool, is a program designed to simplify the
maintenance of other programs.  The input of bmake is a list of specifications
indicating the files upon which the targets (programs and other files) depend.
bmake then detects which targets are out of date based on their dependencies
and triggers the necessary commands to bring them up to date when that happens.

bmake is similar to GNU make, even though the syntax for the advanced features
supported in Makefiles is very different.

%prep
%setup -q -n %{name}

%build
%configure --with-default-sys-path=%{_datadir}/mk
sh ./make-bootstrap.sh

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -c bmake %{buildroot}%{_bindir}/bmake
install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 644 -c make.1 %{buildroot}%{_mandir}/man1/bmake.1

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Sat Jan 14 2017 shlomif <shlomif> 20161212-1.mga6
+ Revision: 1081634
- New upstream version 20161212.

* Wed Jul 06 2016 shlomif <shlomif> 20150910-1.mga6
+ Revision: 1039191
- Importing based on the Fedora pkg

